Either one will start the testcase to start immediately.
-#!/bin/bash
+#!/bin/bash
. /etc/init.d/functions
modprobe evtchn
modprobe xen_evtchn
/etc/init.d/xencommons start
+ rm -f /dev/ttyS0
+ ln -s /dev/null /dev/ttyS0
else
rm -f /dev/hvc0
ln -s /dev/null /dev/hvc0
lspci
cat /proc/interrupts
cat /proc/iomem
+
+
+TEST=$(boot_parameter 'test')
+if [ $? == 0 ]; then
+ echo "Starting $TEST testcase.."
+ case "$TEST" in
+ crashme)
+ while (true); do crashme +2000 666 100 1:00:00; echo "testing.."; done &
+ ;;
+ eatmem)
+ while (true); do eatmem 64MB 10; echo "testing ..";done &
+ ;;
+ esac
+fi